package com.adventurer_engine.common.entity.neo_npc;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import abw;
import com.adventurer_engine.client.entity.model.RCsModelManager;
import com.adventurer_engine.common.entity.ai.AIObject;
import com.adventurer_engine.common.entity.ai.NodeBase;
import com.adventurer_engine.common.entity.ai.branch_nodes.control.SequenceNode;
import com.adventurer_engine.common.entity.ai.task.TaskAnimator;
import com.adventurer_engine.common.entity.neo_npc.AnimationController;
import com.adventurer_engine.common.entity.neo_npc.NPCTempDataTable;
import com.adventurer_engine.util.blockbench.BBModel;
import of;
import ye;

public class EntityRCsNPCBase extends of {
  public AnimationController animation;
  
  public NPCTempDataTable tempData = new NPCTempDataTable();
  
  public BBModel model;
  
  public AIObject ai;
  
  public long age = 0L;
  
  public EntityRCsNPCBase(abw world) {
    super(world);
    this.model = RCsModelManager.model;
    this.ai = new AIObject(this);
    SequenceNode seqNode = new SequenceNode(this.ai);
    seqNode.addNode((NodeBase)new TaskAnimator("ride_pig", this.ai));
    seqNode.addNode((NodeBase)new TaskAnimator("run", this.ai));
    seqNode.addNode((NodeBase)new TaskAnimator("run", this.ai));
    seqNode.addNode((NodeBase)new TaskAnimator("run", this.ai));
    seqNode.addNode((NodeBase)new TaskAnimator("run", this.ai));
    seqNode.addNode((NodeBase)new TaskAnimator("sneak", this.ai));
    seqNode.addNode((NodeBase)new TaskAnimator("sneak", this.ai));
    this.ai.addNode((NodeBase)seqNode);
  }
  
  public ye aZ() {
    return null;
  }
  
  public ye n(int i) {
    return null;
  }
  
  public void c(int i, ye itemstack) {}
  
  public ye[] ae() {
    return new ye[0];
  }
  
  public void l_() {
    super.l_();
    this.age++;
    if (!this.q.I && this.ai != null)
      this.ai.onTick(); 
    if (this.animation != null)
      this.animation.onUpdate(); 
    this.A += 5.0F;
  }
  
  public boolean setAnimation(String name) {
    if (!this.q.I && this.animation == null)
      this.animation = new AnimationController(); 
    return this.animation.launchAnimation(name, this);
  }
}
